package com.yd.dal.service.meta.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.yd.dal.entity.meta.MdTagView;
import com.yd.dal.mapper.meta.MdTagViewMapper;
import com.yd.dal.service.meta.MdTagViewDALService;

/**
 * @author xxy
 * @date 2021年06月21日 17:25
 */
@Service("mdTagViewDALService")
public class MdTagViewDALServiceImpl implements MdTagViewDALService {
    @Resource
    public MdTagViewMapper mapper;
    
    @Override
    public List<MdTagView> selectByIsActive(Long isActive,Long upperTagViewId,String taglevel,String tagViewType,String tagName) {
        return mapper.selectByIsActive(isActive, upperTagViewId, taglevel, tagViewType, tagName);
    }

    @Override
    public void insert(MdTagView mdTagView) {
        mapper.insert(mdTagView);
    }

    @Override
    public void updateByPrimaryKeySelective(MdTagView mdTagView) {
        mapper.updateByPrimaryKeySelective(mdTagView);
    }

    @Override
    public MdTagView selectByPrimaryKey(Long id) {
        return mapper.selectByPrimaryKey(id);
    }
}
